# H501_ServiceReleaseReason Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_outOfService, e_maintenance, e_terminated, e_expired }

## Public Member Functions

| H501_ServiceReleaseReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_ServiceReleaseReason::Choices

Enumerator:

  e_outOfService |
  e_maintenance |
  e_terminated |
  e_expired |

## Constructor & Destructor Documentation

H501_ServiceReleaseReason::H501_ServiceReleaseReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H501_ServiceReleaseReason::CreateObject | ( |  | ) |

PObject* H501_ServiceReleaseReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h